We've released Bolt 1.6.12 as a maintenance release for all Bolt users. This release also contains a bunch of minor additions, tweaks and fixes. It contains no security fixes.

As you might now, we're still hard at work on the "big 2.0" release. We're quickly trimming down the list of 'beta blockers', so expect the first official "2.0 beta" release soon.

In case you missed it earlier: We're going on a code-sprint in october, named Boltcamp. Read all about it here. If you want to have a Bolt shirt or stickers, you can get them here. The form is open until oct. 1st. We'll get the (limited!) shirts printed shortly after that.

Improvements and changes

  • Backend performance improved
  • Symfony and Silex components updated to 2.5.4
  • Updated the default 'base-2014' theme to the latest foundation, added nicer header images.
  • CKeditor updated to version 4.4.4
  • Time inputs are sanitised better, to prevent wrong values. Fixes #1778
  • Added "Select from server" options to 'file' and 'filelist' fields.
  • Added support for nested sub-menu. fixes #1210
  • Fixed a bug in adding multiple images to the 'imagelist' field type.
  • Added a a few lines of description when setting up the first user.
  • RSS feed can have more than one field in a single tag. Fixes #1457
  • Only add a taxonomy, if the taxonomytype is actually set in the contenttype. Fixes #1443
  • And a bunch of other, smaller issues..

To upgrade an existing install, or to setup a new one, just follow the instructions for installation or for updating. When you do an upgrade, you will not overwrite your modified settings with the upgrade. You should still make a backup before doing an upgrade, though. Get the latest .tgz or .zip, or browse the folder with the distributions. After the upgrade you will be prompted to update the Database, or you can just use php app/nut database:update from the command line.

comments powered by Disqus